import { Component, Inject} from '@angular/core';
import {SESSION_STORAGE, WebStorageService} from 'angular-webstorage-service';
import { MsalService }  from './services/msal.service';
import { AppInsightsService } from './app-insights.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent   {
  title = 'Online Auction System';

  loggedIn : boolean;
  public userInfo: any = null;
  public isIframe: boolean;
  public useremail:any;

  constructor(private msalService: MsalService, 
    @Inject(SESSION_STORAGE) private storage: WebStorageService, private appInsights: AppInsightsService) {    

  }
     
  userEmail() {

    return this.useremail;
  }

  userName(){ 
    if(this.msalService.isLoggedIn()){
      this.appInsights.instance.setAuthenticatedUserContext(this.msalService.getUserEmail(), "User"); 
    }else{
      this.appInsights.instance.clearAuthenticatedUserContext();
    }
    return this.msalService.getUserName();
  }

  userIdentifier(){
    return this.storage.get("userId");
  }

  login(){
    this.msalService.login();
  }

  signup(){
    this.msalService.signup();
  }

  logout(){
    this.msalService.logout();
  }

  isUserLoggedIn(){

    if(this.msalService.isLoggedIn()){
    
      this.useremail= this.msalService.getUserEmail();
      this.storage.set("userId", this.msalService.getUserId());
      this.storage.set("userName", this.msalService.getUserName());
      this.storage.set("userEmail", this.msalService.getUserEmail());
      return true;
    }
    else return false;
  
  }

}





