import { Component, OnInit, Inject, Injectable } from '@angular/core';
import { AlertService } from '../alert/alert.service';
import { HttpClient} from '@angular/common/http';
import { Auction } from '../auction/auction';
import {environment} from '../../environments/environment';
import {SESSION_STORAGE, WebStorageService} from 'angular-webstorage-service';
import { AppInsightsService } from 'src/app/app-insights.service';
@Component({
    selector: 'mytransactions',
    templateUrl: './mytransactions.component.html'
})

 
@Injectable({
    providedIn: 'root',
  })

export class MyTransactionsComponent {
    auctions: any;
     
    userId: string;

    constructor(@Inject(SESSION_STORAGE) private storage: WebStorageService, private httpClient: HttpClient, 
    private alertService: AlertService, private appInsights: AppInsightsService){

        this.userId = this.storage.get("userId");
    }
  
    ngOnInit() {
        this.getMyTransactions();
    }
    
    public getMyTransactions() {
        console.log("User Id is "+ this.userId);
        this.httpClient.get(environment.auctionAPI + "/auctionsByUserId/"+this.userId).subscribe(
            (res) => {
                  this.auctions =res;
            }, 
            (err) => {
                console.log(err);
                this.alertService.add({"type":"danger", "message": err});  
                this.appInsights.instance.trackException(err);
            
            });
            this.appInsights.instance.trackEvent({name:"LoadedMyTransactions"});
    }
}